package tech.riemann.ims.dto.response;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;

/**
 * 
 */
@Data
@EqualsAndHashCode(callSuper = false, of = {"value"})
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@Accessors(chain = true)
@TableName(autoResultMap = true)
@Schema(name = "Option", description = "选项")
public class Option {

    @Schema(description = "显示信息", requiredMode = RequiredMode.REQUIRED)
    String label;

    @Schema(description = "唯一键", requiredMode = RequiredMode.REQUIRED)
    String value;

    @Schema(description = "是否不可选", requiredMode = RequiredMode.REQUIRED)
    boolean disabled;
}
