package tech.riemann.ims.dto.response;

import org.nutz.dao.entity.annotation.Column;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import tech.riemann.ims.entity.acl.Permission;

/**
 * @author kerbores(kerbores@riemann.tech)
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@Accessors(chain = true)
@TableName(autoResultMap = true)
@Schema(name = "PermissionInfo", description = "权限信息,包含是否选中标识")
public class PermissionInfo extends Permission {

    private static final long serialVersionUID = 1L;
    @Column("selected")
    @TableField("selected")
    @Schema(description = "权限是否选中标识", requiredMode = RequiredMode.REQUIRED)
    boolean selected;
}
