package tech.riemann.ims.entity.acl;

import org.nutz.dao.entity.annotation.ColDefine;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.Comment;
import org.nutz.dao.entity.annotation.Table;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * 角色权限
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-07-22 13:56:54
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_role_permission")
@Table("t_role_permission")
@Comment("角色权限")
@Schema(name = "RolePermission", description = "角色权限")
public class RolePermission extends IdBaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "角色key", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("rp_role_key")
    @Column("rp_role_key")
    @Comment("角色key")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String roleKey;

    @Schema(description = "权限keyPath", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("rp_permission_key_path")
    @Column("rp_permission_key_path")
    @Comment("权限keyPath")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String permissionKeyPath;
}
